<?php
/**
 * ReverseCLI : Call Verification
 * PHP Version 7.2
 *
 * @category OTPGeneration
 * @package  ReverseCLI
 * @author   Bimalmithran PB <bimal@moplet.com>
 * @license  http://reversecliapi.moplet.com/ ReverseCLI
 * @link     http://reversecliapi.moplet.com/v1
 */

error_reporting(E_ALL);
ini_set('display_errors', '1');

$apikey = isset($_GET['apikey']) ? $_GET['apikey'] : '';
$request_id = isset($_GET['request_id']) ? $_GET['request_id'] : '';
$pin = isset($_GET['pin']) ? $_GET['pin'] : '';
$postString = [
    'id' => $request_id,
    'pin' => $pin,
    'use_server_hangup' => true,
];

$url = "https://api.checkmobi.com/v1/validation/verify";
$ch = curl_init($url);
$jsonData = json_encode($postString);
// Tell cURL that we want to send a POST request.
curl_setopt($ch, CURLOPT_POST, 1);
// Attach our encoded JSON string to the POST fields.
curl_setopt($ch, CURLOPT_POSTFIELDS, $jsonData);
// Set the content type to application/json
curl_setopt(
    $ch, CURLOPT_HTTPHEADER, [
        'Content-type: application/json',
        'Authorization: ' . $apikey,
        'Accept: application/json',
    ]
);

// Execute the request
$result = curl_exec($ch);
